<template>
  <ul :class="$style.rate">
    <li v-for="(star, index) in stars" :key="index">
      <Star v-if="star === 'star'" fill="#f5a623" />
      <HalfStar v-else-if="star === 'half-star'" />
      <Star v-else />
    </li>
  </ul>
</template>

<script>
import Star from "../../assets/images/icons/star.svg";
import HalfStar from "../../assets/images/icons/half-star.svg";

export default {
  name: "Rate",
  components: { Star, HalfStar },
  props: {
    rating: {
      type: Number,
      default: 0
    }
  },
  computed: {
    stars() {
      const fullStar = Math.floor(this.rating);
      const halfStar = this.rating == fullStar ? 0 : 1;
      const stars = [];

      for (let i = 0; i < 5; i++) {
        if (i < fullStar && fullStar !== 0) stars.push("star");
        else if (i === fullStar && halfStar === 1) stars.push("half-star");
        else stars.push("empty-star");
      }

      return stars;
    }
  }
};
</script>

<style lang="scss" module>
@import "../../shared/styles/imports.scss";

.rate {
  @include clearUl();

  display: flex;
  align-items: center;

  li {
    margin-right: 3px;

    &:last-child {
      margin-right: 0;
    }
  }
}
</style>
